<?php

class anasayfa extends CI_Controller{
    function __construct()
    {
        parent::__construct();
		$this->load->model('Isler_model');
		
		// CI viewden controlleri calıstırmak için gerekli
		$CI = NULL;
		$this->CI = & get_instance();


        $userid =  $this->session->userdata('userid');
	
        if(empty($userid))     
        { 
		
		redirect('login');
        }
    }

    function index()
    {


		$data['isler'] = $this->db->query("SELECT * FROM  isler ORDER BY id DESC ")->result_array();
    
		$this->load->model('Calisan_model');
		$userid =  $this->session->userdata('userid');
        $data['calisan'] = $this->Calisan_model->get_calisan($userid);
		
        $data['_view'] = 'ortak/anasayfa';
        $this->load->view('layouts/main',$data);
    }
	
	
	
	
	
	function bildirimcek()
    {
		$bildirim =array();
		
	
		//Veri Tabanındaki Bildirim Çekme
		$this->load->model('Bildirim_model');
		$bildirim =	$this->Bildirim_model->kisiye_bildirim_son_3();

		echo json_encode ($bildirim);

	}

	 function yenibildirimsayi()
    {			
		$bildirim =array();

		//Veri Tabanındaki Bildirim Çekme
		$this->load->model('Bildirim_model');
		$bildirim =	$this->Bildirim_model->kisiye_yeni_bildirim();

		
		echo count($bildirim);
	
    }
	
	function mesajcek()
    {
		$mesaj =array();
		
	
		//Veri Tabanındaki Bildirim Çekme
		$this->load->model('Revize_model');
		$mesaj =$this->Revize_model->get_mesaj_son_3();

		echo json_encode ($mesaj);

	}
	
	function mesajsayigoster()
    {	 
		//Veri Tabanındaki Revize Çekme
		$this->load->model('Revize_model');
		
		//Veri Tabanındaki İşler Çekme
		$this->load->model('Isler_model');
		$isler = $this->Isler_model->get_all_isler();
		
		$userid  =  $this->session->userdata('userid');
		
		$toplammesaj=0;
		  foreach($isler as $i){ 
				  
					// yeni mesaj kontrolu
					$yenimesaj=0;
					$yenimesajsayi = $this->Revize_model->get_yenimesajkontrol($i['id'],$userid);	
					$yenimesaj=count($yenimesajsayi);
					
					$toplammesaj=$toplammesaj + $yenimesaj;
				
		  }
		
		echo $toplammesaj;
    }
	
	
	
	
	
	function menu()
    {

				$yanmenu=$this->session->userdata('menu');
				if($yanmenu=="kapali")
				{
				$this->session->set_userdata('menu', "acik");		 
				}else{
				$this->session->set_userdata('menu', "kapali"); 
				} 
				
				redirect('anasayfa');
		
    }
	
}
